summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfrealgagu2020-06-09 14:42:54 -0500
committerfrealgagu2020-06-09 14:42:54 -0500
commit03f57e47269b486d81599747e77202c79911dca4 (patch)
tree8a9af27b9b08c29b4d6869792e9de582def79ac5
parent154450aeb74287dde5cb93b1bd254286fda1d4d1 (diff)
downloadaur-03f57e47269b486d81599747e77202c79911dca4.tar.gz
Adding unzip and git as dependencies.
-rw-r--r--.SRCINFO9
-rw-r--r--PKGBUILD8
2 files changed, 7 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 09b6ba01fed..a73fb0995af 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = flutter-git
pkgdesc = A new mobile app SDK to help developers and designers build modern mobile apps for iOS and Android.
- pkgver = 1.19.0.1.0.pre.r83.8abf0a6d8c
+ pkgver = 1.19.0.5.0.pre.r39.9037ccd355
pkgrel = 1
url = https://flutter.io
install = flutter.install
@@ -8,22 +8,21 @@ pkgbase = flutter-git
license = custom
license = BSD
license = CCPL
- makedepends = git
makedepends = python
- makedepends = unzip
+ depends = bash
+ depends = git
depends = glu
depends = java-environment
depends = lib32-libglvnd
+ depends = unzip
optdepends = android-sdk
optdepends = android-studio
optdepends = bash
optdepends = dart
- optdepends = git
optdepends = intellij-idea-community-edition
optdepends = intellij-idea-ultimate-edition
optdepends = perl
optdepends = python
- optdepends = sh
provides = flutter
conflicts = flutter
options = !emptydirs
diff --git a/PKGBUILD b/PKGBUILD
index 1dcfeeedc29..da68313b1e2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,26 +1,24 @@
# Maintainer: Fredy GarcĂ­a <frealgagu at gmail dot com>
pkgname=flutter-git
-pkgver=1.19.0.1.0.pre.r83.8abf0a6d8c
+pkgver=1.19.0.5.0.pre.r39.9037ccd355
pkgrel=1
pkgdesc="A new mobile app SDK to help developers and designers build modern mobile apps for iOS and Android."
arch=("x86_64")
url="https://${pkgname%-git}.io"
license=("custom" "BSD" "CCPL")
-depends=("glu" "java-environment" "lib32-libglvnd")
+depends=("bash" "git" "glu" "java-environment" "lib32-libglvnd" "unzip")
optdepends=(
"android-sdk"
"android-studio"
"bash"
"dart"
- "git"
"intellij-idea-community-edition"
"intellij-idea-ultimate-edition"
"perl"
"python"
- "sh"
)
-makedepends=("git" "python" "unzip")
+makedepends=("python")
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
backup=("opt/${pkgname%-git}/packages/${pkgname%-git}_test/pubspec.yaml" "opt/${pkgname%-git}/packages/${pkgname%-git}/pubspec.yaml")